package cn.yw.nhyw.nhywjtxhdgl.service;

 import cn.datasource.DS;
 import cn.yw.nhyw.nhywjtxhdgl.dao.NhywjtxhdglDao;

import java.sql.SQLException;
 import java.util.HashMap;
 import java.util.List;
import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.base.bean.BaseService;
import cn.base.util.CommUtils;
 import org.springframework.transaction.annotation.Transactional;

@Service("nhywjtxhdglService")
public class NhywjtxhdglService extends BaseService {
	
	private static Log log = LogFactory.getLog(NhywjtxhdglService.class);
	
	@Autowired
	private NhywjtxhdglDao nhywjtxhdglDao;
	
	/**
	 * 保存记录
	 */
	public void insert_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.addParams(map, false);
		nhywjtxhdglDao.insert_Nhywjtxhdgl(map);
	}

	
	/**
	 * 修改记录
	 */
	public Integer update_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.validateUpdateParams(map);
		CommUtils.addParams(map, true);
		return nhywjtxhdglDao.update_Nhywjtxhdgl(map);
	}

	/**
	 * 修改经纬度
	 */
	public Integer updateJtxhdJdWdByXh(Map map) throws SQLException{
		CommUtils.addParams(map, true);
		return nhywjtxhdglDao.updateJtxhdJdWdByXh(map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Nhywjtxhdgl(Map map) throws SQLException{
		CommUtils.validateDeleteParams(map);
		return nhywjtxhdglDao.delete_Nhywjtxhdgl(map);
	}
	
	/**
	 * 批处理删除记录
	 */
	/*
	public Integer batch_delete_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.batch_delete_Nhywjtxhdgl(map);
	}
	*/
	
	/**
	 * 查询总数
	 */
	/*
	public Integer count_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.count_Nhywjtxhdgl(map);
	}
	*/
	
	/**
	 * 查询列表记录SELECT
	 */
	public List<Map> query_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.query_Nhywjtxhdgl(map);
	}
	/**
	 * 查询全部记录
	 */
	public List<Map> query_AllNhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.query_AllNhywjtxhdgl(map);
	}
	
	/**
	 * 查询一条
	 */
	public Map get_Nhywjtxhdgl(Map map) throws SQLException{
		return nhywjtxhdglDao.get_Nhywjtxhdgl(map);
	}
	
	/**
	 * 导出EXCEL
	 */
	 
	/*
	public Map exportNhywjtxhdgl(Map map) throws SQLException{
		return this.listNhywjtxhdglByPage(map);
	}
	*/
	
	/**
	 * Nhywjtxhdgl 分页
	 */
	public Map listNhywjtxhdglByPage(Map map) throws SQLException {
		List<Map> list = nhywjtxhdglDao.query_Nhywjtxhdgl(map);
		Integer totalCount = nhywjtxhdglDao.count_Nhywjtxhdgl(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}
	//访问mysql 数据库获得异常数据，并存放到文件中
	@DS("datasource2")
	public  List<Map>  listXHDStatus()throws SQLException{
		return  nhywjtxhdglDao.listXHDStatus();
	}
	@DS("datasource2")
	@Transactional
	public  Map  listNhywjtxhdglStatusByPage(Map map)throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_NhywjtxhdglState(map);
		Integer totalCount = nhywjtxhdglDao.count_NhywjtxhdglState(map);
		Map mapresult=new HashMap<>();
		mapresult.put("total", totalCount);
		mapresult.put("rows", list);
		return mapresult;
	}
	@DS("datasource2")
	@Transactional
	public  Map  listNhywjtxhdglHistoryStateByPage (Map map) throws SQLException{
		List<Map> list = nhywjtxhdglDao.query_NhywjtxhdglHistoryState(map);
		Integer totalCount = nhywjtxhdglDao.count_NhywjtxhdglHistoryState(map);
		map.clear();
		map.put("total", totalCount);
		map.put("rows", list);
		return map;
	}


}
